Problèmes et questions sur les environnements graphiques et les applications.
Répondre

Visual studio code

#1Messageil y a 5 mois

:salut:
J'ai télécharger le fichier .tar pour installer VSC dans ma dist deepin il a suffit que je clic sur :

Image

et il s'est lancé. Magique et surpris mais le job était fait.
là sous Xfce je ne sais pas comment le lancer, tester quelques trucs mais rien. Un peu d'aide serait le bien venu.

Visual studio code

#2Messageil y a 5 mois

Bonsoir.
A tes risques et périls de lancer ce genre de scripts d'installation sans passer par la voie libalpm qui est le gestionnaire de paquets qu'utilisent pacman et Pamac.
Il vaut mieux éviter d'installer des programmes sous forme de binaires qui ne viennent pas des dépôts officiels de Manjaro Beaucoup de ces paquets viennent directement d' Arch. On peut aussi construire des paquets sous forme de PKGBUILDs à partir du dépôt Aur qui est un dépôt alimenté par des utilisateurs sans garanti des dèvs, mais qui est surveillé par des utilisateurs de confiance. Ces recettes permettent d'installer et surtout de gérer proprement les dépendances ce qui n'est pas possible quand on installe une binaire venant directement de Debian ou Fedora. Dans ce cas, on part des sources et on construit un PKGBUILD.
Visual studio code est disponible dans Aur, donc tu peux l'installer proprement même si il ne sera pas maintenu par nos dèvs .
Je te laisse chercher comment installer un paquet Aur
Sinon, pour lancer un script ou une binaire quelque soit l'environnement depuis le répertoire qui les contient:

./binaire
./script.sh
Par exemple :

cd /usr/bin/
./glxgears
A manier avec précaution :cool:

Visual studio code

#3Messageil y a 5 mois

:salut:
Nous sommes sous manjaro (xfce ou plasma ou autre bureau ne change strictement rien), en rolling nous n'installons pas manuellement d'applications !!!!! cela va entraîner à moyen terme la casse de notre système :cartonrouge:
Nous installons uniquement depuis pamac/pacman/yay

36 versions de vs code sont disponibles pour nous et le seul problème est de choisir la version :wink:
Existe une version dans nos paquets officiels et il se nomme code, aur propose d'autres versions (vscodium, insiders,...)

Visual studio code

#4Messageil y a 5 mois

Merci à vous deux je note vos recommandations.
Du coup j'ai installé le paquet AUR que pamac me proposé et NICKEL
Répondre